Subject: bug#77039: 31.0.50; Flickering on macOS

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Mar 2025 11:13:18 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> From: "Aaron Jensen" <[email-masked]>
> Date: Sun, 23 Mar 2025 08:16:18 +0000
> 
>  (defun foo () 
>  (Interactive) 
>  (global-display-line-numbers-mode) 
>  (term "/usr/bin/yes") 
>  (switch-to-buffer "*scratch*"))
> 
>  If you set display-line-numbers-mode to 'visual globally, does the problem go away?
> 
> No, nor does disabling blink cursor mode or commenting out the lines you referenced.
> 
> I'm using this, please double check I'm not doing something wrong.
> 
> (defun foo ()
>   (interactive)
>   (blink-cursor-mode -1)
>   (global-display-line-numbers-mode)
>   (setq-default display-line-numbers-mode 'visual)
>  (term "/usr/bin/yes")
> (switch-to-buffer "*scratch*"))

Then the conditions mention by Gerd are not the ones at play here.  Or
maybe I'm missing something else.